## cameleon 1.9.18.svn20090302+691

=== Makefile ===
#################################################################################
#                Cameleon                                                       #
#                                                                               #
#    Copyright (C) 2004-2008 Institut National de Recherche en Informatique     #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#################################################################################

include master.Makefile

SCRIPTS=

IMAGES=\
	images/bookmark.png \
	images/chamo.png \
	images/component.png \
	images/file_component.png \
	images/fun.png \
	images/run.png \
	images/tdl-group.png \
	images/tdl-item.png \
	images/tdl-item-done.png \
	images/tdl-item-high.png \
	images/tdl-item-low.png \
	images/tdl-item-suspended.png \
	images/topcameleon.xpm \
	images/type.png \
	images/value.png

# Compilation
#############

work: utils src

all: work srcdoc doc

src: dummy
	cd src && $(MAKE) all

utils: dummy
#	cd utils && $(MAKE) all

re : depend clean all

perl:
	$(ROOT)/utils/compile.sh

help:
	@echo "work:      utils src"
	@echo "all:       work srcdoc doc"
	@echo "src:       src/all"
	@echo "utils:     utils/all"
	@echo "re:        depend clean all"

# Documentation :
#################
srcdoc: dummy
	cd src && $(MAKE) doc

doc: dummy
	cd doc && $(MAKE) all

# myself

master.Makefile: master.Makefile.in config.status
	./config.status

config.status: configure master.Makefile.in \
	src/cameleon/cam_installation.ml.in \
	src/cameleon/cam_config.ml.in \
	src/custop/custop_installation.ml.in \
	src/report/rep_installation.ml.in \
	src/dbforge/dbf_installation.ml.in
	./config.status --recheck

configure: configure.in
	autoconf

# headers :
###########
HEADFILES= configure.in configure \
	master.Makefile.in Makefile \
	src/*/*.ml src/*/*.mli src/*/*.mll src/*/*.mly src/*/*.in \
	src/Makefile doc/Makefile utils/Makefile utils/checkocaml.ml
headers: dummy
	echo $(HEADFILES)
	headache -h header -c .headache_config `ls $(HEADFILES) | grep -v odot | grep -v cam-mktop2.in`

noheaders: dummy
	headache -r -c .headache_config `ls $(HEADFILES) | grep -v odot | grep -v cam-mktop.in`

# backup, clean and depend :
############################

distclean: clean
	cd src && $(MAKE) distclean
	cd doc && $(MAKE) distclean
	$(RM) config.cache config.log config.status master.Makefile
	$(RM) config_check.log ocaml_config.sh
	$(RM) images/topcameleon.xpm
#	cd utils && $(MAKE) distclean

clean: dummy
	$(RM) *~ \#*\#
	cd src && $(MAKE) clean
	cd doc && $(MAKE) clean
#	cd utils && $(MAKE) clean


depend: dummy
	cd src && $(MAKE) depend
alldepend: dummy
	cd src && $(MAKE) alldepend

dummy:

#################
# code count
#################
codecount:
	@echo `cat src/*/*.ml src/*/*.mli | wc -l` lines


#################
# installation
#################

install: dummy installimages
	cd src && $(MAKE) install
	$(MAKE) installspecsfiles
	$(MAKE) installdoc

installspecsfiles:
	$(MKDIR) $(LANGUAGESSPECSDIR)
	$(CP) utils/ocaml.lang $(LANGUAGESSPECSDIR)

installdoc:
	cd doc && $(MAKE) install

%.gif: %.png
	convert $< $@

%.xpm: %.png
	convert -scale 32x32 $< $@

installimages: dummy $(IMAGES)
	$(MKDIR) $(PIXMAPSDIR)
	$(CP) $(IMAGES) $(PIXMAPSDIR)

installscripts: dummy
#	$(MKDIR) $(DIR_UTILS)
#	$(CP) $(SCRIPTS) $(DIR_UTILS)

###########################
# additional dependencies
###########################

# DO NOT DELETE

=== doc/Makefile ===
#################################################################################
#                Cameleon                                                       #
#                                                                               #
#    Copyright (C) 2004-2008 Institut National de Recherche en Informatique     #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#################################################################################

# $Id: Makefile 644 2008-04-30 14:26:13Z zoggy $

include ../master.Makefile

all: doc_stdlib doc_cameleon

STDLIB_DOC=stdlib.odoc
doc_stdlib:dummy
	$(OCAMLDOC) -I +threads \
	-dump $(STDLIB_DOC) \
	`ls $(OCAMLLIB)/*.mli | grep -v outcometree`

CAMELEON_DOC=cameleon.odoc
doc_cameleon:dummy
	cd $(ROOT)/src && $(MAKE) $(ROOT)/doc/$(CAMELEON_DOC)

install:
	@echo
	@echo Installing documentation...
	@echo
	@$(MKDIR) $(LIBDIR)
	@for i in $(STDLIB_DOC) $(CAMELEON_DOC); do \
	if test -f $$i; then \
                $(CP) $$i $(LIBDIR); echo $(LIBDIR)/`basename $$i` installed; \
        else \
                echo $$i NOT installed ; \
        fi; done
clean:
	$(RM) *.odoc
distclean: clean
dummy:

=== src/Makefile ===
#################################################################################
#                Cameleon                                                       #
#                                                                               #
#    Copyright (C) 2004-2008 Institut National de Recherche en Informatique     #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#################################################################################

include ../master.Makefile

SYSTEM_INCLUDES= \
	-I +threads \
	-I +ocamldoc \
	-I ocaml/parsing \
	-I ocaml/typing \
	$(OCAML_DRIVER_INCLUDES) \
	-I ocaml/utils \
	$(PCRE_INCLUDES) \
	$(LABLGTK2_INCLUDES) \
	$(LABLGTKSOURCEVIEW_INCLUDES) \
	$(XMLLIGHT_INCLUDES)

MY_INCLUDES= \
	-I odot \
	-I okey \
	-I utils \
	-I odiff \
	-I tdl \
	-I rss \
	-I tmpl-engine \
	-I sqml \
	-I config_file \
	-I configwin \
	-I gtksv-utils \
	-I report \
	-I dbforge \
	-I ocamlcvs \
	-I editor \
	-I cameleon \
	-I camtop \
	-I custop \
	-I multiclip \
	-I plugins \
	-I snippets

INCLUDES= \
	$(SYSTEM_INCLUDES) \
	$(MY_INCLUDES)

MKCHAMO_INCLUDES= \
	-I +threads \
	-I +ocamldoc \
	$(OCAML_DRIVER_INCLUDES) \
	-I $(LIBDIR) \
	$(PCRE_INCLUDES) \
	$(LABLGTK2_INCLUDES) \
	$(LABLGTKSOURCEVIEW_INCLUDES) \
	$(XMLLIGHT_INCLUDES)

COMPFLAGS=$(INCLUDES)
LINKFLAGS=$(INCLUDES)
LINKFLAGS_BYTE=$(INCLUDES)

#OCAMLPP=-pp "$(OCAMLBIN)/camlp4o "

TOOLS=$(REPORT) $(REPORT_GUI) $(TMPL_ENGINE) \
	$(DBFORGE) $(DBFORGE_GUI) \
	$(OCAMLCVS) $(TDL) $(TDL_EXPORT) $(TDL_HTML) $(TDL_SVN) \
	$(RSS) $(RSS_EXPORT)\
	$(EDITOR) $(CAMELEON) $(CAM_CONFIG) $(DOCBROWSER)
TOOLS_BYTE=$(REPORT_BYTE) $(REPORT_GUI_BYTE) \
	$(TMPL_ENGINE_BYTE) \
	$(DBFORGE_BYTE) $(DBFORGE_GUI_BYTE) \
	$(OCAMLCVS_BYTE) \
	$(TDL_BYTE) $(TDL_EXPORT_BYTE) $(TDL_HTML_BYTE) $(TDL_SVN_BYTE) \
	$(RSS_BYTE) $(RSS_EXPORT_BYTE) \
	$(EDITOR_BYTE) $(CAMELEON_BYTE) $(CAM_CONFIG_BYTE) $(DOCBROWSER_BYTE) $(CAMTOP)

ifeq ($(USE_LABLGTKSOURCEVIEW),yes)
GTKSV_UTILS_CMX=gtksv-utils/gtksv_utils.cmx
GTKSV_UTILS_CMO=gtksv-utils/gtksv_utils.cmo
endif

UTILS=utils/gstuff.cmx \
	utils/gmylist.cmx \
	utils/gmytree.cmx \
	utils/gdir.cmx \
	utils/ffind.cmx \
	utils/dtypes.cmx \
	$(GTKSV_UTILS_CMX)
UTILS_BYTE=utils/gstuff.cmo \
	utils/gmylist.cmo \
	utils/gmytree.cmo \
	utils/gdir.cmo \
	utils/ffind.cmo \
	utils/dtypes.cmo \
	$(GTKSV_UTILS_CMO)

PLUGINS=plugins/test.cmo plugins/dep_view.cma

# Compilation
#############

# Cameleon
# files shared with editor
CAMELEON_SHARED_CMOFILES=\
	cameleon/cam_messages.cmo \
	cameleon/cam_config.cmo \
	cameleon/cam_dbg.cmo \
	cameleon/cam_misc.cmo \
	cameleon/cam_constant.cmo \
	cameleon/cam_rc.cmo \
	cameleon/cam_com_history.cmo \
	cameleon/cam_hooks.cmo \
	cameleon/cam_commands.cmo \
	cameleon/cam_log.cmo \
	cameleon/cam_args.cmo

CAMELEON_COMMON_CMOFILES=\
	$(EDITOR_COMMON_CMOFILES) \
	cameleon/cam_chamo.cmo \
	cameleon/cam_gui_base.cmo \
	cameleon/cam_gui.cmo \
	cameleon/cam_keymaps.cmo \
	cameleon/cam_view.cmo \
	cameleon/cam_dir_view.cmo \
	cameleon/cam_doc.cmo \
	cameleon/cam_doc_gui.cmo

PRE_CAMELEON_CMOFILES=$(CAMELEON_COMMON_CMOFILES) \
	cameleon/cam_minibuffer.cmo \
	cameleon/cam_files.cmo \
	cameleon/cam_cvs_view.cmo \
	cameleon/cam_files_view.cmo \
	cameleon/cam_modules_view.cmo \
	cameleon/cam_multiview.cmo \
	cameleon/cam_bbar.cmo \
	cameleon/cam_new_project.cmo \
	cameleon/cam_menus.cmo \
	cameleon/cam_server.cmo \
	cameleon/cam_plug.cmo \
	cameleon/cam_rss.cmo

CAMELEON_CMOFILES=$(PRE_CAMELEON_CMOFILES) \
	editor/ed_eval.cmo \
	cameleon/cam_plugins.cmo \
	cameleon/cam_main.cmo

CAMELEON_CMXFILES=$(PRE_CAMELEON_CMOFILES:.cmo=.cmx) \
	cameleon/cam_main.cmx

CAMELEON_CMIFILES= $(CAMELEON_CMOFILES:.cmo=.cmi)

CAM_CONFIG_CMOFILES=\
	cameleon/cam_installation.cmo \
	cameleon/cam_config.cmo \
	cameleon/cam_config_main.cmo

CAM_CONFIG_CMXFILES=$(CAM_CONFIG_CMOFILES:.cmo=.cmx)
CAM_CONFIG_CMIFILES=$(CAM_CONFIG_CMOFILES:.cmo=.cmi)

DOCBROWSER_CMOFILES=$(CAMELEON_COMMON_CMOFILES) \
	cameleon/cam_docbrowser.cmo

DOCBROWSER_CMXFILES= $(DOCBROWSER_CMOFILES:.cmo=.cmx)
DOCBROWSER_CMIFILES= $(DOCBROWSER_CMOFILES:.cmo=.cmi)

# Editor

EDITOR_COMMON_CMOFILES=\
	utils/dtypes.cmo \
	$(CAMELEON_SHARED_CMOFILES) \
	editor/ed_config.cmo \
	editor/ed_messages.cmo \
	editor/ed_prefs.cmo \
	editor/ed_gui_base.cmo \
	editor/ed_keymaps.cmo \
	editor/ed_gui_rc.cmo \
	editor/ed_bookmarks.cmo \
	editor/ed_fstack.cmo \
	editor/ed_sourceview_rc.cmo \
	editor/ed_minibuffer_rc.cmo \
	editor/ed_minibuffer.cmo \
	editor/ed_charsets.cmo \
	editor/ed_core_rc.cmo \
	editor/ed_outputs.cmo \
	editor/ed_misc.cmo \
	editor/ed_view_rc.cmo \
	editor/ed_view.cmo \
	editor/ed_multiclip_rc.cmo \
	editor/ed_multiclip.cmo \
	editor/ed_odoc_rc.cmo \
	editor/ed_odoc.cmo \
	editor/ed_tdl_rc.cmo \
	editor/ed_tdl.cmo \
	editor/ed_sourceview.cmo \
	editor/ed_sourceview_expand.cmo \
	editor/ed_ocamloutput.cmo \
	editor/ed_ocaml_lexer.cmo \
	editor/ed_mode_ocaml_rc.cmo \
	editor/ed_ocamlbuild.cmo \
	editor/ed_mode_ocaml.cmo \
	editor/ed_mode_makefile_rc.cmo \
	editor/ed_mode_makefile.cmo \
	editor/ed_mode_changelog_rc.cmo \
	editor/ed_mode_changelog.cmo \
	editor/ed_gui.cmo \
	editor/ed_layout.cmo

EDITOR_COMMON_CMIFILES=$(EDITOR_COMMON_CMOFILES:.cmo=.cmi)
EDITOR_COMMON_CMXFILES=$(EDITOR_COMMON_CMOFILES:.cmo=.cmx)

EDITOR_CMOFILES=$(EDITOR_COMMON_CMOFILES) \
	editor/ed_eval.cmo \
	editor/ed_main.cmo
EDITOR_CMXFILES=$(EDITOR_COMMON_CMOFILES:.cmo=.cmx) editor/ed_main.cmx
EDITOR_CMIFILES=$(EDITOR_COMMON_CMOFILES:.cmo=.cmi) editor/ed_main.cmi

LIBEDITOR=editor/chamo.cmxa
LIBEDITOR_A=$(LIBEDITOR:.cmxa=.a)

EDITOR_LIBS=$(LIBEDITOR) $(LIBEDITOR_A)

EDITOR_LINK_LIBS=str.cmxa unix.cmxa threads.cmxa xml-light.cmxa \
	lablgtk.cmxa lablglade.cmxa gtkThread.cmx gtkInit.cmx \
	okey.cmx config_file.cmx configwin.cmxa \
	utils/gmylist.cmx utils/gmytree.cmx \
	multiclip/multiclip.cmx multiclip/multiclip_gui.cmx \
	cameleon/cam_installation.cmx \
	tdl.cmxa tdl_gui.cmxa lablgtksourceview.cmxa \
	gtksv-utils/gtksv_utils.cmx odoc_info.cmxa \
	pcre.cmxa
EDITOR_LINK_LIBS_BYTE=str.cma unix.cma threads.cma xml-light.cma \
	toplevellib.cma \
	lablgtk.cma lablglade.cma gtkThread.cmo gtkInit.cmo \
	okey.cmo config_file.cmo configwin.cma \
	utils/gmylist.cmo utils/gmytree.cmo \
	multiclip/multiclip.cmo multiclip/multiclip_gui.cmo \
	cameleon/cam_installation.cmo \
	tdl.cma tdl_gui.cma lablgtksourceview.cma \
	gtksv-utils/gtksv_utils.cmo odoc_info.cma \
	pcre.cma
MKCHAMO_LINK_LIBS=str.cmxa unix.cmxa threads.cmxa xml-light.cmxa \
	lablgtk.cmxa lablglade.cmxa gtkThread.cmx gtkInit.cmx \
	okey.cmx config_file.cmx configwin.cmxa \
	gmylist.cmx gmytree.cmx \
	multiclip.cmx multiclip_gui.cmx \
	cam_installation.cmx \
	tdl.cmxa tdl_gui.cmxa lablgtksourceview.cmxa \
	gtksv_utils.cmx odoc_info.cmxa \
	pcre.cmxa

MKCHAMO_SCRIPT=editor/make_my_chamo
# Okey

LIBOKEY=okey/okey.cmx
LIBOKEY_BYTE=$(LIBOKEY:.cmx=.cmo)
LIBOKEY_CMI=$(LIBOKEY:.cmx=.cmi)
LIBOKEY_O=$(LIBOKEY:.cmx=.o)

OKEY_LIBS=$(LIBOKEY) $(LIBOKEY_BYTE) $(LIBOKEY_CMI) $(LIBOKEY_O)

# Odot

LIBODOT=odot/odot.cmxa
LIBODOT_BYTE=$(LIBODOT:.cmxa=.cma)
LIBODOT_CMI=$(LIBODOT:.cmxa=.cmi)
LIBODOT_A=$(LIBODOT:.cmxa=.a)
LIBODOT_VIEW=odot/odot_view.cmx
LIBODOT_VIEW_BYTE=$(LIBODOT_VIEW:.cmx=.cmo)
LIBODOT_VIEW_CMI=$(LIBODOT_VIEW:.cmx=.cmi)
LIBODOT_VIEW_O=$(LIBODOT_VIEW:.cmx=.o)
ODOT_LIBS=$(LIBODOT) $(LIBODOT_BYTE) $(LIBODOT_CMI) $(LIBODOT_A) \
	$(LIBODOT_VIEW) $(LIBODOT_VIEW_BYTE) $(LIBODOT_VIEW_CMI) $(LIBODOT_VIEW_O)



# Config_file

LIBCF=config_file/config_file.cmx
LIBCF_BYTE=$(LIBCF:.cmx=.cmo)
LIBCF_CMI=$(LIBCF:.cmx=.cmi)
LIBCF_O=$(LIBCF:.cmx=.o)

CF_LIBS=$(LIBCF) $(LIBCF_BYTE) $(LIBCF_CMI) $(LIBCF_O)

# Configwin

CW_COMMON_CMOFILES=\
	configwin/configwin_keys.cmo \
	configwin/configwin_types.cmo \
	configwin/configwin_messages.cmo \
	configwin/configwin_ihm.cmo

LIBCW_CMOFILES=$(CW_COMMON_CMOFILES) configwin/configwin.cmo
LIBCW_CMIFILES=$(LIBCW_CMOFILES:.cmo=.cmi)
LIBCW_CMXFILES=$(LIBCW_CMOFILES:.cmo=.cmx)

LIBCW=configwin/configwin.cmxa
LIBCW_BYTE=$(LIBCW:.cmxa=.cma)
LIBCW_CMI=$(LIBCW:.cmxa=.cmi)
LIBCW_A=$(LIBCW:.cmxa=.a)

CW_LIBS=$(LIBCW) $(LIBCW_BYTE) $(LIBCW_CMI) $(LIBCW_A)

# Tdl

TDL_COMMON_CMOFILES=\
	tdl/tdl_messages.cmo \
	tdl/tdl_date.cmo \
	tdl/tdl_types.cmo \
	tdl/tdl_io.cmo \
	tdl/tdl_filter.cmo \
	tdl/tdl_filter_parser.cmo \
	tdl/tdl_filter_lexer.cmo \
	tdl/tdl.cmo

LIBTDL_CMOFILES=$(TDL_COMMON_CMOFILES)
LIBTDL_CMIFILES=$(LIBTDL_CMOFILES:.cmo=.cmi)
LIBTDL_CMXFILES=$(LIBTDL_CMOFILES:.cmo=.cmx)

TDL_EXPORT_CMOFILES=tdl/tdl_export.cmo
TDL_EXPORT_CMIFILES=$(TDL_EXPORT_CMOFILES:.cmo=.cmi)
TDL_EXPORT_CMXFILES=$(TDL_EXPORT_CMOFILES:.cmo=.cmx)

TDL_SVN_CMOFILES=tdl/tdl_svn.cmo
TDL_SVN_CMIFILES=$(TDL_SVN_CMOFILES:.cmo=.cmi)
TDL_SVN_CMXFILES=$(TDL_SVN_CMOFILES:.cmo=.cmx)

TDL_HTML_CMOFILES=tdl/tdl2html.cmo
TDL_HTML_CMIFILES=$(TDL_HTML_CMOFILES:.cmo=.cmi)
TDL_HTML_CMXFILES=$(TDL_HTML_CMOFILES:.cmo=.cmx)

LIBTDL=tdl/tdl.cmxa
LIBTDL_BYTE=$(LIBTDL:.cmxa=.cma)
LIBTDL_CMI=$(LIBTDL:.cmxa=.cmi)
LIBTDL_A=$(LIBTDL:.cmxa=.a)

LIBTDL_GUI_CMOFILES=\
	tdl/tdl_gui_rc.cmo \
	tdl/tdl_gui_base.cmo \
	tdl/tdl_gui.cmo
LIBTDL_GUI_CMIFILES=$(LIBTDL_GUI_CMOFILES:.cmo=.cmi)
LIBTDL_GUI_CMXFILES=$(LIBTDL_GUI_CMOFILES:.cmo=.cmx)

LIBTDL_GUI=tdl/tdl_gui.cmxa
LIBTDL_GUI_BYTE=$(LIBTDL_GUI:.cmxa=.cma)
LIBTDL_GUI_CMI=$(LIBTDL_GUI:.cmxa=.cmi)
LIBTDL_GUI_A=$(LIBTDL_GUI:.cmxa=.a)

TDL_CMOFILES=tdl/tdl_main.cmo
TDL_CMIFILES=$(TDL_CMOFILES:.cmo=.cmi)
TDL_CMXFILES=$(TDL_CMOFILES:.cmo=.cmx)

ODOC_TDL_CMOFILES=$(TDL_COMMON_CMOFILES) tdl/odoc_tdl.cmo
ODOC_TDL=tdl/odoc_tdl.cma
ODOC_TDL_CMI=$(ODOC_TDL:.cma=.cmi)

TDL_LIBS=$(LIBTDL) $(LIBTDL_BYTE) $(LIBTDL_CMI) $(LIBTDL_A) \
	$(LIBTDL_GUI) $(LIBTDL_GUI_BYTE) $(LIBTDL_GUI_CMI) $(LIBTDL_GUI_A)

# RSS

RSS_COMMON_CMOFILES=\
	rss/rss_messages.cmo \
	rss/rss_date.cmo \
	rss/rss_types.cmo \
	rss/rss_io.cmo \
	rss/rss.cmo

LIBRSS_CMOFILES=$(RSS_COMMON_CMOFILES)
LIBRSS_CMIFILES=$(LIBRSS_CMOFILES:.cmo=.cmi)
LIBRSS_CMXFILES=$(LIBRSS_CMOFILES:.cmo=.cmx)

LIBRSS=rss/rss.cmxa
LIBRSS_BYTE=$(LIBRSS:.cmxa=.cma)
LIBRSS_CMI=$(LIBRSS:.cmxa=.cmi)
LIBRSS_A=$(LIBRSS:.cmxa=.a)

LIBRSS_GUI_CMOFILES=\
	rss/rss_gui_base.cmo \
	rss/rss_gui.cmo
LIBRSS_GUI_CMIFILES=$(LIBRSS_GUI_CMOFILES:.cmo=.cmi)
LIBRSS_GUI_CMXFILES=$(LIBRSS_GUI_CMOFILES:.cmo=.cmx)

LIBRSS_GUI=rss/rss_gui.cmxa
LIBRSS_GUI_BYTE=$(LIBRSS_GUI:.cmxa=.cma)
LIBRSS_GUI_CMI=$(LIBRSS_GUI:.cmxa=.cmi)
LIBRSS_GUI_A=$(LIBRSS_GUI:.cmxa=.a)

RSS_CMOFILES=rss/rss_gui_main.cmo
RSS_CMIFILES=$(RSS_CMOFILES:.cmo=.cmi)
RSS_CMXFILES=$(RSS_CMOFILES:.cmo=.cmx)

RSS_EXPORT_CMOFILES=rss/rss_export.cmo

=== utils/Makefile ===
#################################################################################
#                Cameleon                                                       #
#                                                                               #
#    Copyright (C) 2004-2008 Institut National de Recherche en Informatique     #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#################################################################################

# $Id: Makefile 644 2008-04-30 14:26:13Z zoggy $

include ../master.Makefile

all: config_check.cmo

clean:
	rm -f *~ \#*\#
	rm -f *.cm*

distclean: clean

=== web/Makefile ===
include ../master.Makefile

#MYSITE=/gnu/mysite/mysite
MYSITE=/opt/mysite/mysite
#MYSITE=/local/mysite/mysite
RSS2CONTENT=/opt/godi/bin/cduce -I /opt/mysite --run rss.cdo --arg


#DEST_DIR=site/
#WWW_CVS=/work/devel/all-cameleon2/website/
DEST_DIR=/work/devel/all-cameleon2/website/

XML_FILES=\
	about.xml \
	cameleon_news.xml \
	config_file.xml \
	configwin.xml \
	dbforge.xml \
	ocamlcvs.xml \
	odot.xml \
	okey.xml \
	report.xml \
	principles.xml \
	site.xml \
	sitemap.xml\
	topcameleon.xml

all: $(XML_FILES)
	$(MKDIR) $(DEST_DIR)
	$(MYSITE) site.xml -lang fr -o $(DEST_DIR)
	$(MYSITE) site.xml -lang en -o $(DEST_DIR)
	$(CP) cameleon_news.rss $(DEST_DIR)
	cp style.css $(DEST_DIR)
	cp ocaml.lang top.jpg bottom.jpg $(DEST_DIR)
	(cd $(ROOT)/src && $(MAKE) camlget websitedoc)
	$(CP) $(ROOT)/src/cameleon_snippets.cga $(DEST_DIR)
	$(CP) $(DEST_DIR)/index.en.html $(DEST_DIR)/index.html
	rpl "&amp;&amp;" "&&" $(DEST_DIR)/*.html
	rpl "&quot;AddSearchProvider&quot;" "\"AddSearchProvider\"" $(DEST_DIR)/*.html

cameleon_news.xml: cameleon_news.rss
	echo "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" standalone=\"yes\"?>" > $@
	$(RSS2CONTENT) $< >> $@

installsite:site
#	$(CP) -r $(DEST_DIR)* $(WWW_CVS)
#	$(CP) $(DEST_DIR)index.en.html $(WWW_CVS)index.html
#	(cd $(WWW_CVS) && touch img/* && svn commit -m-)
#	$(CP) /work/devel/www-cameleon2/* ~/public_html/tmp_cameleon2/
clean:
	$(RM) *~ \#*\#

=== src/config_file/Makefile ===
#################################################################################
#                                                                               #
#                 Config_file                                                   #
#                                                                               #
#    Copyright (C) 2004 Institut National de Recherche en Informatique et       #
#    en Automatique. All rights reserved.                                       #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU General Public License as published by       #
#    the Free Software Foundation; either version 2 of the License, or          #
#    any later version.                                                         #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU General Public License for more details.                               #
#                                                                               #
#    You should have received a copy of the GNU General Public License          #
#    along with this program; if not, write to the Free Software                #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#################################################################################

# $Id: Makefile 111 2005-10-21 08:46:14Z zoggy $

include master.Makefile

# Compilation
#############

byte: lib
opt: libopt
all: byte opt
lib: config_file.cmi config_file.cmo
libopt: config_file.cmi config_file.cmx

re : depend clean all

parser: config_file_parser.ml4
	camlp4 pa_o.cmo pa_op.cmo pr_o.cmo -- -o config_file_parser.ml -impl config_file_parser.ml4

example: byte
	ocaml config_file.cmo example.ml
test: byte
	ocaml config_file.cmo test.ml

# Documentation :
#################
doc: dummy
	$(MKDIR) doc
	$(OCAMLDOC) -html -d doc -colorize-code \
	-t "The Config_file library" \
	config_file.mli config_file.ml

# myself :
##########

master.Makefile: master.Makefile.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure: configure.in
	autoconf
# backup, clean and depend :
############################

distclean: clean
	$(RM) config.cache config.log config.status master.Makefile
	$(RM) doc autom4te.cache

clean:: dummy
	$(RM) *~ \#*\# *.cm* *.o *.a

dummy:

###########
# Headers
###########
headers: dummy
	headache -h gpl_header -c .headache_config configure.in configure \
	master.Makefile.in Makefile \
	*.ml *.mli *.ml4

noheaders: dummy
	headache -r -c .headache_config configure.in configure \
	master.Makefile.in Makefile \
	*.ml *.mli *.ml4



#################
# installation
#################

install: dummy
	$(MKDIR) $(INSTALLDIR)
	$(CP) config_file.cmi config_file.cmo $(INSTALLDIR)
	if test -f config_file.cmx; then $(MAKE) installopt; fi

installopt: dummy
	$(MKDIR) $(INSTALLDIR)
	$(CP) config_file.cmi config_file.cmx config_file.o $(INSTALLDIR)

###########################
# additional dependencies
###########################

# DO NOT DELETE

=== src/odot/Makefile ===
#################################################################################
#                Odot                                                           #
#                                                                               #
#    Copyright (C) 2005 Institut National de Recherche en Informatique et       #
#    en Automatique. All rights reserved.                                       #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU General Public License as published          #
#    by the Free Software Foundation; either version 2.1 of the License, or     #
#    any later version.                                                         #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Lesser General Public License for more details.                        #
#                                                                               #
#    You should have received a copy of the GNU General Public License          #
#    along with this program; if not, write to the Free Software                #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#################################################################################

MASTER=master.Makefile

include $(MASTER)

INCLUDES=-I +lablgtk2
COMPFLAGS=$(INCLUDES)
LINKFLAGS=$(INCLUDES)

LIB=odot.cmxa
LIB_A=$(LIB:.cmxa=.a)
LIB_CMI=$(LIB:.cmxa=.cmi)
LIB_BYTE=$(LIB:.cmxa=.cma)

# Compilation
#############

CMOFILES=\
	odot_version.cmo \
	odot_misc.cmo \
	odot_parser.cmo \
	odot_lexer.cmo \
	odot.cmo

CMXFILES= $(CMOFILES:.cmo=.cmx)
CMIFILES= $(CMOFILES:.cmo=.cmi)

VIEW_CMOFILES=odot_view.cmo
VIEW_CMXFILES= $(VIEW_CMOFILES:.cmo=.cmx)
VIEW_CMIFILES= $(VIEW_CMOFILES:.cmo=.cmi)


LIB_VIEW=odot_view.cmx
LIB_VIEW_O=$(LIB_VIEW:.cmx=.o)
LIB_VIEW_CMI=$(LIB_VIEW:.cmx=.cmi)
LIB_VIEW_BYTE=$(LIB_VIEW:.cmx=.cmo)

all: byte opt
byte: $(LIB_BYTE)
opt: $(LIB)
test: $(LIB_BYTE) test.ml
	$(OCAMLC) $(INCLUDES) -o test.x unix.cma $(LIB_BYTE) test.ml

gui: gui_opt gui_byte
gui_opt: $(VIEW_CMIFILES) $(VIEW_CMXFILES)
gui_byte: $(VIEW_CMIFILES) $(VIEW_CMOFILES)

test_gui: $(LIB_BYTE) gui_byte test_gui.ml
	$(OCAMLC) $(INCLUDES) -o test_gui.x unix.cma \
	lablgtk.cma lablgnomecanvas.cma $(LIB_BYTE) $(VIEW_CMOFILES) test_gui.ml

$(LIB): $(CMIFILES) $(CMXFILES)
	$(OCAMLOPT) -a -o $@ $(CMXFILES)

$(LIB_BYTE): $(CMIFILES) $(CMOFILES)
	$(OCAMLC) -a -o $@ $(CMOFILES)

TESTFILES=test.dot test2.dot test3.dot test4.dot test5.dot test6.dot
check: test $(TESTFILES)
	for i in $(TESTFILES) ; do \
	echo testing with file $$i ; \
	./test.x $$i > $$i.test ; \
	dot -Tps -o test.ps $$i ; \
	dot -Tps -o test2.ps $$i.test ; \
	(diff test.ps test2.ps > /dev/null && echo ok) || echo test failed on file $$i ; \
	rm -f test.ps test2.ps $$i.test ; done

# Documentation :
#################
dump.odoc: *.ml *.mli
	$(OCAMLDOC) $(OCAMLPP) $(COMPFLAGS) -keep-code -dump dump.odoc `ls $^ | grep -v test`

doc:
	$(MKDIR) ocamldoc
	$(OCAMLDOC) $(OCAMLPP) $(COMPFLAGS) \
	-t "The Odot library" \
	-html \
	-d ocamldoc \
	odot.mli odot_view.mli

# myself

master.Makefile: master.Makefile.in \
	odot_version.ml.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure: configure.in
	autoconf

# backup, clean and depend :
############################

distclean: clean
	$(RM) config.cache config.log config.status master.Makefile
	$(RM) autom4te.cache
	$(RM) odot_version.ml odot_gui_installation.ml

clean::
	$(RM) *~ \#*\#
	$(RM) *.cmo *.cmi *.cmx *.a *.o *.cma *.cmxa *.odoc *.annot
	$(RM) odot_parser.ml{i,} odot_lexer.ml odot_parser.output odot_gui_base.ml
	$(RM) $(EXE) $(EXE_BYTE) test.x test_gui.x

.depend depend: odot_parser.ml odot_lexer.ml
	$(RM) .depend
	$(OCAMLDEP) *.ml *.mli > .depend

dummy:

include .depend

#################
# Installation
#################
install: dummy
	$(CP) $(LIB_BYTE) $(LIB_CMI) $(OCAMLLIB)
	if test -f $(LIB); then \
	$(CP) $(LIB) $(LIB_A) $(OCAMLLIB); fi
	if test -f $(LIB_VIEW); then \
	$(CP) $(LIB_VIEW) $(LIB_VIEW_CMI) $(LIB_VIEW_O) $(OCAMLLIB); fi
	if test -f $(LIB_VIEW_BYTE); then \
	$(CP) $(LIB_VIEW_BYTE) $(LIB_VIEW_CMI) $(OCAMLLIB); fi


###########################
# additional dependencies
###########################

## cameleon 1.9.19

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #################################################################################
 #                Cameleon                                                       #
 #                                                                               #
-#    Copyright (C) 2004-2008 Institut National de Recherche en Informatique     #
+#    Copyright (C) 2004-2009 Institut National de Recherche en Informatique     #
 #    et en Automatique. All rights reserved.                                    #
 #                                                                               #
 #    This program is free software; you can redistribute it and/or modify       #

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #################################################################################
 #                Cameleon                                                       #
 #                                                                               #
-#    Copyright (C) 2004-2008 Institut National de Recherche en Informatique     #
+#    Copyright (C) 2004-2009 Institut National de Recherche en Informatique     #
 #    et en Automatique. All rights reserved.                                    #
 #                                                                               #
 #    This program is free software; you can redistribute it and/or modify       #
@@ -23,7 +23,7 @@
 #                                                                               #
 #################################################################################
 
-# $Id: Makefile 644 2008-04-30 14:26:13Z zoggy $
+# $Id: Makefile 717 2009-09-22 05:40:58Z zoggy $
 
 include ../master.Makefile

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #################################################################################
 #                Cameleon                                                       #
 #                                                                               #
-#    Copyright (C) 2004-2008 Institut National de Recherche en Informatique     #
+#    Copyright (C) 2004-2009 Institut National de Recherche en Informatique     #
 #    et en Automatique. All rights reserved.                                    #
 #                                                                               #
 #    This program is free software; you can redistribute it and/or modify       #
@@ -93,25 +93,18 @@
 	$(RSS_BYTE) $(RSS_EXPORT_BYTE) \
 	$(EDITOR_BYTE) $(CAMELEON_BYTE) $(CAM_CONFIG_BYTE) $(DOCBROWSER_BYTE) $(CAMTOP)
 
-ifeq ($(USE_LABLGTKSOURCEVIEW),yes)
-GTKSV_UTILS_CMX=gtksv-utils/gtksv_utils.cmx
-GTKSV_UTILS_CMO=gtksv-utils/gtksv_utils.cmo
-endif
-
 UTILS=utils/gstuff.cmx \
 	utils/gmylist.cmx \
 	utils/gmytree.cmx \
 	utils/gdir.cmx \
 	utils/ffind.cmx \
-	utils/dtypes.cmx \
-	$(GTKSV_UTILS_CMX)
+	utils/dtypes.cmx
 UTILS_BYTE=utils/gstuff.cmo \
 	utils/gmylist.cmo \
 	utils/gmytree.cmo \
 	utils/gdir.cmo \
 	utils/ffind.cmo \
-	utils/dtypes.cmo \
-	$(GTKSV_UTILS_CMO)
+	utils/dtypes.cmo
 
 PLUGINS=plugins/test.cmo plugins/dep_view.cma
 
@@ -244,8 +237,8 @@
 	utils/gmylist.cmx utils/gmytree.cmx \
 	multiclip/multiclip.cmx multiclip/multiclip_gui.cmx \
 	cameleon/cam_installation.cmx \
-	tdl.cmxa tdl_gui.cmxa lablgtksourceview.cmxa \
-	gtksv-utils/gtksv_utils.cmx odoc_info.cmxa \
+	tdl.cmxa tdl_gui.cmxa lablgtksourceview2.cmxa \
+	$(LIBSVUTILS) odoc_info.cmxa \
 	pcre.cmxa
 EDITOR_LINK_LIBS_BYTE=str.cma unix.cma threads.cma xml-light.cma \
 	toplevellib.cma \
@@ -254,8 +247,8 @@
 	utils/gmylist.cmo utils/gmytree.cmo \
 	multiclip/multiclip.cmo multiclip/multiclip_gui.cmo \
 	cameleon/cam_installation.cmo \
-	tdl.cma tdl_gui.cma lablgtksourceview.cma \
-	gtksv-utils/gtksv_utils.cmo odoc_info.cma \
+	tdl.cma tdl_gui.cma lablgtksourceview2.cma \
+	$(LIBSVUTILS_BYTE) odoc_info.cma \
 	pcre.cma
 MKCHAMO_LINK_LIBS=str.cmxa unix.cmxa threads.cmxa xml-light.cmxa \
 	lablgtk.cmxa lablglade.cmxa gtkThread.cmx gtkInit.cmx \
@@ -263,7 +256,7 @@
 	gmylist.cmx gmytree.cmx \
 	multiclip.cmx multiclip_gui.cmx \
 	cam_installation.cmx \
-	tdl.cmxa tdl_gui.cmxa lablgtksourceview.cmxa \
+	tdl.cmxa tdl_gui.cmxa lablgtksourceview2.cmxa \
 	gtksv_utils.cmx odoc_info.cmxa \
 	pcre.cmxa
 
@@ -301,6 +294,16 @@
 
 CF_LIBS=$(LIBCF) $(LIBCF_BYTE) $(LIBCF_CMI) $(LIBCF_O)
 
+
+# Gtksv-utils
+
+LIBSVUTILS=gtksv-utils/gtksv_utils.cmx
+LIBSVUTILS_BYTE=$(LIBSVUTILS:.cmx=.cmo)
+LIBSVUTILS_CMI=$(LIBSVUTILS:.cmx=.cmi)
+LIBSVUTILS_O=$(LIBSVUTILS:.cmx=.o)
+
+SVUTILS_LIBS=$(LIBSVUTILS) $(LIBSVUTILS_BYTE) $(LIBSVUTILS_CMI) $(LIBSVUTILS_O)
+
 # Configwin
 
 CW_COMMON_CMOFILES=\
@@ -409,4 +412,3 @@
 RSS_CMIFILES=$(RSS_CMOFILES:.cmo=.cmi)
 RSS_CMXFILES=$(RSS_CMOFILES:.cmo=.cmx)
 
-RSS_EXPORT_CMOFILES=rss/rss_export.cmo

=== utils/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #################################################################################
 #                Cameleon                                                       #
 #                                                                               #
-#    Copyright (C) 2004-2008 Institut National de Recherche en Informatique     #
+#    Copyright (C) 2004-2009 Institut National de Recherche en Informatique     #
 #    et en Automatique. All rights reserved.                                    #
 #                                                                               #
 #    This program is free software; you can redistribute it and/or modify       #
@@ -23,7 +23,7 @@
 #                                                                               #
 #################################################################################
 
-# $Id: Makefile 644 2008-04-30 14:26:13Z zoggy $
+# $Id: Makefile 717 2009-09-22 05:40:58Z zoggy $
 
 include ../master.Makefile

=== debian/changelog ===
cameleon (1.9.19-2build1) lucid; urgency=low

  * No-change rebuild for OCaml 3.11.2 transition (LP: #527627).

 -- Ilya Barygin <barygin@gmail.com>  Thu, 25 Feb 2010 20:53:54 +0300

cameleon (1.9.19-2) unstable; urgency=low

  * Upload to unstable
  * Exclude odoc_tdl.cmo from dh_ocaml inspection (Closes: #556838)
  * Switch to 3.0 (quilt)
  * Remove Add-xml-light-include-flag.patch (not needed)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Dec 2009 09:49:06 +0100

cameleon (1.9.19-1) experimental; urgency=low

  * New upstream release:
    - use liblablgtksourceview2-ocaml-dev (Closes: #541961)
  * Switch packaging to dh-ocaml 0.9

 -- Stéphane Glondu <glondu@debian.org>  Tue, 27 Oct 2009 10:53:02 +0100

cameleon (1.9.18.svn20090908+703-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream SVN snapshot (Closes: #545649):
    - remove Fix-typo-in-LANGUAGESSPECSDIR.patch (merged upstream)
    - remove Use-ocamldoc-if-ocamldoc.opt-is-not-available.patch (not
      needed anymore)
  * debian/control:
    - update my e-mail address and remove DMUA
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * debian/rules: remove call to deprecated dh_desktop

  [ Sylvain Le Gall ]
  * Fix typo and update .pot for manpages
  * Add Format-Specification field to debian/copyright
  * Remove src/*.byte
  * Invert CDBS ocaml.mk and debhelper.mk to avoid generating
    *.debhelper.log

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Sep 2009 22:40:17 +0200

cameleon (1.9.18.svn20090302+691-1) unstable; urgency=low

  [ Stephane Glondu ]
  * New upstream SVN snapshot (Closes: #462010, #514111):
    - remove unused patches
    - remove obsolete tdl_filter_precious
    - refresh patches and switch patch system to quilt
  * Remove Julien from Uploaders, add myself to Uploaders, add DMUA
  * Switch packaging to git
  * Add README.source
  * Remove deprecated Encoding entries in *.desktop
  * Cleanup and wrap dependencies
  * Bump Standards-Version to 3.8.0
  * Bump debhelper compatibility level to 7
  * Add dh-ocaml to Build-Depends (Closes: #517323)
  * Use ocaml.mk as a CDBS "rules" file
  * Switch copyright to machine-parsable format
  * Add Lintian overrides for bytecode executables
  * Move doc to cameleon-doc

  [ Mehdi Dogguy ]
  * Fix a typo in description of libcameleon-ocaml-dev

  [ Sylvain Le Gall ]
  * Remove Remi Vanicat, Sven Luther and Ralf Treinen from Uploaders
    field. They are not DM and can act through Debian OCaml Maintainers
  * Remove dpkg-dev build-dependency, now ${source:Version} is standard
  * Tighten lablgtk2 build-dependency for OCaml 3.11 migration
  * Ignore error for $(RM) in clean target
  * Remove obsolete debian/control.in related variables and files

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 10 Mar 2009 14:29:46 +0100

cameleon (1.9.18.svn20070918-2) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Filter out internal mli file when generating doc. (Closes: #482621)
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically

  [ Stefano Zacchiroli ]
  * promote Homepage to a real debian/control field
  * fix vcs-svn field to point just above the debian/ dir

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 24 May 2008 12:09:11 +0200

cameleon (1.9.18.svn20070918-1) unstable; urgency=low

  * New upstream release (Closes: #428835),
  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,
  * Replace dependency Source-Version by binary:Version,
  * Use CDBS for debian/rules,
  * Add debian/cameleon.desktop debian/ocaml-dbforge.desktop
    debian/ocaml-report.desktop debian/ocamlcvs.desktop,
  * Use @OCamlTeam@ for Uploaders field in debian/control.in,
  * Add versioned Build-Depends on dpkg-dev (>= 1.13.19),
  * Merge packages ocamlcvs, ocaml-report, ocaml-dbforge... into
    cameleon package, only 3 packages remaining: cameleon, cameleon-doc,
    libcameleon-ocaml-dev, this is really more simple,
  * Use docbook-manpage.mk + po4a.mk for manpage (+i18n),
  * Rewrite package description (Closes: #387140),
  * Change email address to gildor@debian.org everywhere
  * Use DTD from docbook-xml package and not from docbook package
  * Reduce debian/changelog to 80 columns
  * Build for ocaml 3.10.0, add camlp4 dependency (Closes: #442230)
  * Change menu section
  * Add missing manpages
  * Move documentation to OCaml standard api reference
  * Upstream now generates .cmx files (Closes: #389824)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 20 Sep 2007 23:47:51 +0200

cameleon (1.9.13-2) unstable; urgency=low

  * Added checkocaml.dpatch in order to be able to build on architectures
    without ocamlopt, closes: #373830.
  * Removed control.in as per new ocaml policy.
  * Added myself to uploaders.

 -- Samuel Mimram <smimram@debian.org>  Mon, 11 Sep 2006 12:24:24 +0000

cameleon (1.9.13-1) unstable; urgency=high

  * New upstream version,
  * Rework the patch ocamldoc_best,
  * Remove the patch make_3_81, which is applied upstream
  * Upgrade OCaml ABI to 3.09.2,
  * Use gildor@debian.org as maintainer field in control,
  * Define debian/control target as PHONY,
  * Upgrade Standards-Version to 3.7.2.0 (no change),
  * Add ocaml-findlib in the Build-Dependency,
  * Remove all generated file during the clean,
  * Set urgency to high, in order not to block ocaml transition to 3.09.2

 -- Sylvain Le Gall <gildor@debian.org>  Wed,  7 Jun 2006 22:24:56 +0200

cameleon (1.9.9.cvs20051129-3) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon,  6 Feb 2006 23:53:09 +0100

cameleon (1.9.9.cvs20051129-2) unstable; urgency=low

  * Add dependency on imagemagick (Closes: #343360)
  * Apply patche byte_compilation to fix compilation on non-opt platform
    (Closes: #343873)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 19 Dec 2005 22:30:25 +0100

cameleon (1.9.9.cvs20051129-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: cameleon
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Stefano Zacchiroli <zack@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1),
 patchutils (>= 0.2.25),
 cdbs (>= 0.4.27),
 ocaml-nox (>= 3.11.1-3~),
 po4a, docbook-xml (>= 4.4), docbook-xsl, libxml2-utils, xsltproc,
 debhelper (>= 7),
 dh-ocaml (>= 0.9.1~),
 camlp4,
 ocaml-findlib (>= 1.2.5),
 liblablgtk2-ocaml-dev (>= 2.14),
 libxml-light-ocaml-dev (>= 2.2-12~),
 liblablgtksourceview2-ocaml-dev,
 libpcre-ocaml-dev (>= 6.0.1-2~),
 imagemagick,
 docbook-ebnf
Standards-Version: 3.8.3
Homepage: http://home.gna.org/cameleon/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cameleon.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cameleon.git

Package: cameleon
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: cameleon-doc
Provides: mlchat, ocaml-omom, ocaml-ioxml, ocaml-zoggy, ocaml-report, ocamlcvs, ocaml-dbforge
Conflicts: mlchat, ocaml-omom, ocaml-ioxml, ocaml-zoggy, ocaml-report, ocamlcvs, ocaml-dbforge
Replaces: mlchat, ocaml-omom, ocaml-ioxml, ocaml-zoggy, ocaml-report, ocamlcvs, ocaml-dbforge
Description: integrated development environment for OCaml
 Cameleon is a set of tools and libraries put together to create an
 integrated development environment for the OCaml programming language.
 .
 Its main features are :
  - graphical user interface,
  - configuration management based on CVS,
  - easy access to and browsing of documentation,
  - various editors, according to customizable file types,
  - use of plug-ins to define new features,
  - highly customizable interface (menus, toolbar, keyboard shortcuts).
 .
 Tools shipped are :
  - Chamo, a source code editor based on the GtkSourceView widget with some
    emacs-like functionality,
  - DBforge, a tool to describe database schemas and generate OCaml code to
    access these databases,
  - OCamlCVS, a graphical front end for the CVS configuration management
    utility,
  - Report, a tool aims to make generation of XML documents from OCaml
    applications easier,

Package: cameleon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for Cameleon
 It contains documentation build with Cameleon:
  - Cameleon reference manual
  - Cameleon user manual,
 .
 Documentation can be in HTML, Postscript or odoc formats.

Package: libcameleon-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocaml-findlib, cameleon-doc
Provides:
 libreport-ocaml-dev,
 libmlchat-ocaml-dev,
 libocamlcvs-ocaml-dev,
 libgpattern-ocaml-dev,
 liboptions-ocaml-dev,
 libokey-ocaml-dev,
 libconfigwin-ocaml-dev,
 ${ocaml:Provides}
Conflicts:
 libreport-ocaml-dev,
 libmlchat-ocaml-dev,
 libocamlcvs-ocaml-dev,
 libgpattern-ocaml-dev,
 liboptions-ocaml-dev,
 libokey-ocaml-dev,
 libconfigwin-ocaml-dev
Replaces:
 libreport-ocaml-dev,
 libmlchat-ocaml-dev,
 libocamlcvs-ocaml-dev,
 libgpattern-ocaml-dev,
 liboptions-ocaml-dev,
 libokey-ocaml-dev,
 libconfigwin-ocaml-dev
Description: libraries from Cameleon
 It contains the libraries built with Cameleon:
  - Config_file, create configuration files,
  - Configwin, build configuration or input windows in LablGTK,
  - Odiff, print and parse differences between files or strings, in the diff
    utility format,
  - Odot, parse and print Graphviz dot files,
  - Okey, add handlers to key press events in LablGTK,
  - Tdl, represent, store and read TODO lists in XML files,
